Bug 806302 - Syntax error on line 200326 jockey_cache_t [type=IDENTIFIER]
Syntax error on line 200326 jockey_cache_t [type=IDENTIFIER]
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-03-23 08:03 EDT by Antonio Trande
Modified: 2013-07-04 09:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-04 09:53:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Antonio Trande 2012-03-23 08:03:42 EDT
Description of problem:
This error appears during the installation of policycoreutils-python package.

Version-Release number of selected component (if applicable):
policycoreutils-python.x86_64 0:2.1.10-29.fc17  

How reproducible: 
# yum reinstall policycoreutils-python

Actual results:

Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : policycoreutils-python-2.1.10-29.fc17.x86_64 
/usr/share/selinux/devel/include/apps/jockey.if: Syntax error on line 200326 jockey_cache_t [type=IDENTIFIER]
/usr/share/selinux/devel/include/apps/jockey.if: Syntax error on line 200326 jockey_cache_t [type=IDENTIFIER]
  Verifying  : policycoreutils-python-2.1.10-29.fc17.x86_64 

  policycoreutils-python.x86_64 0:2.1.10-29.fc17
Comment 1 Miroslav Grepl 2012-03-23 09:05:54 EDT
It was fixed in the latest policy.

$ yum update selinux-policy-targeted --enablerepo=updates-testing
Comment 2 Antonio Trande 2012-03-23 10:28:47 EDT
My Fedora 17 is just updated (updates-testing repo actived).

Comment 3 Miroslav Grepl 2012-03-26 05:01:47 EDT
Please try to again, the latest build has been pushed to the testing repo finally.
Comment 4 Antonio Trande 2012-03-26 05:57:00 EDT
Fixed with selinux-policy-targeted-3.10.0-106.fc17.
Comment 5 John Reiser 2012-03-26 12:30:49 EDT
I still see this error in -policy (not -targeted):
  Updating   : selinux-policy-3.10.0-106.fc17.noarch                            46/358 
/usr/share/selinux/devel/include/apps/jockey.if: Syntax error on line 181990 jockey_cache_t [type=IDENTIFIER]
Comment 6 Daniel Walsh 2012-03-27 15:14:23 EDT
John run

# sepolgen-ifgen

Do you still see it?
Comment 7 John Reiser 2012-03-27 15:31:43 EDT
No, running "sepolgen-ifgen" [as root, with no parameters] does not show the message, and gives shell exit code 0 (success).  So why did the complaint appear during %post processing as part of the update?
Comment 8 Daniel Walsh 2012-03-27 16:01:25 EDT
Race condition.  I think updating policycoreutils could trigger this before the updated selinux-policy, but anyways it should not happen again.
Comment 9 Fedora End Of Life 2013-07-04 03:45:13 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.